<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8" />
        <title>Note List</title>
        <style>
            body {font-family: Arial, Helvetica, sans-serif;} 
            .navbar1 {background-color: #333; padding: 15px; text-align: center;}
            .navbar1 a:hover {background-color: #ddd;  color: black; padding: 15px;}
            .navbar1 a {text-decoration: none; color: white; text-align: center;}
            .navbar2 {background-color: #4d4f54; padding: 10px; text-align: center;}
            .navbar2 a:hover {background-color: #ddd;  color: black; padding: 10px;}
            .navbar2 a {text-decoration: none; color: white; text-align: center;}
            .card {
                display: grid;
                grid-template-columns: auto auto auto;
                background-color: #04AA6D;
                padding: 10px;
            }
            .card-item{
                background-color: #ddd;
                border: 5px solid rgba(0, 0, 0, 0.8);
                padding: 20px;
                font-size: 30px;
                text-align: center;
            }
        </style>
    </head>

    <body>
        <div class="navbar1">
            <a href="/lab-1/">Lab 1</a>
            <a href="/lab-2/">Lab 2</a>
            <a href="/lab-3/">Lab 3</a>
            <a href="/lab-4/">Lab 4</a>
        </div>
        
        <div class="navbar2">
            <a href="/lab-4/">Back</a>
        </div>

        <div class="card">
            {% for note in notes %}
            <div class="card-item">
                To: {{note.to}}<br> 
                From: {{note.from_var}}<br>
                Title: {{note.title}}<br>
                Message: {{note.message}}<br>
            </div>
            {% endfor %}
        </div>
        
    </body>
</html>